import 'package:dio/dio.dart';
import 'package:flutter_tracker/dio/api.dart';
import 'package:flutter_tracker/model/login_entity.dart';
import 'package:flutter_tracker/model/message_model.dart';
import 'package:flutter_tracker/model/user_model.dart';

class LoginDao {
  static Map<String, dynamic> params = <String, dynamic>{};

  static Future<LoginEntity> login(String username, String password) async {
    params.addAll({"username": username, "password": password});
    try {
      Response response = await Dio().post(Api.loginUrl, data: params);
      return LoginEntity.fromJson(response.data);
    } catch (e) {
      return null;
    }
  }

  static Future<MessageModel> logout(String token) async {
    params.addAll({"token": token});
    try {
      Response response = await Dio().post(Api.logoutUrl, data: params);
      return MessageModel.fromJson(response.data);
    } catch (e) {
      return null;
    }
  }

  static Future<MessageModel> register(String username, String password) async {
    params.addAll({"username": username, "password": password});
    try {
      Response response = await Dio().post(Api.registerUrl, data: params);
      if (response.data["success"] == true) {}
      return MessageModel.fromJson(response.data);
    } catch (e) {
      return null;
    }
  }

  static Future<UserModel> getUserInfo(String token) async {
    params.addAll({"token": token});
    Response response = await Dio().post(Api.getUserInfoUrl, data: params);
    return UserModel.fromJson(response.data);
  }
}
