import 'package:dio/dio.dart';
import 'package:flutter_tracker/dio/api.dart';
import 'package:flutter_tracker/model/submit_model.dart';

class TrackDao {
  Map<String, dynamic> params = <String, dynamic>{};

  Future<SubmitModel> uploadImg(
      String token, String filePath, String fileName) async {
    params.addAll({"token": token, "filePath": filePath, "fileName": fileName});

    await Dio().post(Api.uploadImgUrl, queryParameters: params).then((response) {
      return SubmitModel.fromJson(response.data);
    });
    return null;
  }

  Future<SubmitModel> uploadTrack(
      String token, String telphone, String address, String health) async {
    params.addAll({
      "token": token,
      "telphone": telphone,
      "address": address,
      "health": health
    });

    await Dio().post(Api.uploadTrackUrl, queryParameters: params).then((response) {
      return SubmitModel.fromJson(response.data);
    });
    return null;
  }
}
