import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_tracker/index_page.dart';
import 'package:flutter_tracker/pages/about_page.dart';
import 'package:flutter_tracker/pages/help_page.dart';
import 'package:flutter_tracker/pages/login_page.dart';
import 'package:flutter_tracker/pages/mine_page.dart';
import 'package:flutter_tracker/pages/register_page.dart';
import 'package:flutter_tracker/pages/submit_page.dart';
import 'package:flutter_tracker/pages/track_page.dart';
import 'package:flutter_tracker/pages/welcome_page.dart';

class Routes {
  static const String indexPage = "/index";
  static const String trackPage = '/track';
  static const String minePage = '/mine';
  static const String aboutPage = '/about_me';
  static const String helpPage = '/help';
  static const String loginPage = '/login';
  static const String registerPage = '/register';
  static const String submitPage = '/submit';
  static const String welPage = '/welcome';

  static Route<dynamic> generateRoute(RouteSettings settings) {
    switch (settings.name) {
      case indexPage:
        return MaterialPageRoute(builder: (_) => IndexPage());
        break;
      case trackPage:
        return MaterialPageRoute(builder: (_) => TrackPage());
        break;
      case minePage:
        return MaterialPageRoute(builder: (_) => MinePage());
        break;
      case aboutPage:
        return MaterialPageRoute(builder: (_) => AboutPage());
        break;
      case helpPage:
        return MaterialPageRoute(builder: (_) => HelpPage());
        break;
      case loginPage:
        return MaterialPageRoute(builder: (_) => LoginPage());
        break;
      case registerPage:
        return MaterialPageRoute(builder: (_) => RegisterPage());
        break;
      case submitPage:
        return MaterialPageRoute(builder: (_) => SubmitPage());
        break;
      case welPage:
        return MaterialPageRoute(builder: (_) => WelComePage());
        break;
      default:
        return MaterialPageRoute(
            builder: (_) => Scaffold(
                  appBar: AppBar(title: Text("Route Error")),
                  body: Center(
                    child: Text('No route defined for ${settings.name}'),
                  ),
                ));
    }
  }
}
